# The Componere\Method class

(Componere 2 >= 2.1.0)

## Introduction

A Method represents a function with modifiable accessibility flags

## Class synopsis

final Componere\Method {
/* Constructor */
public __construct ( \Closure `$closure` )
/* Methods */
public setPrivate ( void ) : Method
public setProtected ( void ) : Method
public setStatic ( void ) : Method
public getReflector ( void ) : \ReflectionMethod
}

## Table of Contents

- Componere\Method::__construct — Method Construction
- Componere\Method::setPrivate — Accessibility Modification
- Componere\Method::setProtected — Accessibility Modification
- Componere\Method::setStatic — Accessibility Modification
- Componere\Method::getReflector — Reflection